Botan 2.1.0 Crypto and TLS for C++11

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
Botan::ASN1_Object Class Referenceabstract

`#include <asn1_obj.h>`

Inheritance diagram for Botan::ASN1_Object:

## Public Member Functions
| ASN1_Object ()=default
| ASN1_Object (const ASN1_Object &)=default
virtual void | decode_from (BER_Decoder &from)=0
virtual void | encode_into (DER_Encoder &to) const =0
ASN1_Object & | operator= (const ASN1_Object &)=default
virtual | ~ASN1_Object ()=default

## Detailed Description

Basic ASN.1 Object Interface

Definition at line 61 of file asn1_obj.h.

## Constructor & Destructor Documentation

Botan::ASN1_Object::ASN1_Object | ( |  | ) |
| default

Botan::ASN1_Object::ASN1_Object | ( | const ASN1_Object & |  | ) |
| default

virtual Botan::ASN1_Object::~ASN1_Object | ( |  | ) |
| virtual default

## Member Function Documentation

virtual void Botan::ASN1_Object::decode_from | ( | BER_Decoder & | from | ) |
| pure virtual

Decode whatever this object is from from

Parameters

  from | the BER_Decoder that will be read from

Implemented in Botan::Cert_Extension::CRL_Distribution_Points::Distribution_Point, Botan::GeneralSubtree, Botan::Extensions, Botan::X509_Object, Botan::OCSP::SingleResponse, Botan::GeneralName, Botan::CRL_Entry, Botan::OCSP::CertID, Botan::AlgorithmIdentifier, Botan::AlternativeName, Botan::X509_Time, Botan::X509_DN, Botan::Attribute, Botan::OID, and Botan::ASN1_String.

Referenced by Botan::BER_Decoder::decode().

virtual void Botan::ASN1_Object::encode_into | ( | DER_Encoder & | to | ) | const
| pure virtual

Encode whatever this object is into to

Parameters

  to | the DER_Encoder that will be written to

Implemented in Botan::Cert_Extension::CRL_Distribution_Points::Distribution_Point, Botan::GeneralSubtree, Botan::Extensions, Botan::X509_Object, Botan::OCSP::SingleResponse, Botan::GeneralName, Botan::CRL_Entry, Botan::OCSP::CertID, Botan::AlgorithmIdentifier, Botan::AlternativeName, Botan::X509_DN, Botan::Attribute, Botan::OID, Botan::X509_Time, and Botan::ASN1_String.

Referenced by Botan::DER_Encoder::encode().

ASN1_Object& Botan::ASN1_Object::operator= | ( | const ASN1_Object & |  | ) |
| default

The documentation for this class was generated from the following file:

- src/lib/asn1/asn1_obj.h